Subject: Re: [RFC:] struct net_device_ops: Add function pointer to fill device specific ndisc information

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Mon, 21 Jan 2013 23:15:21 +0900

YOSHIFUJI Hideaki wrote:
> Stefan Richter wrote:
> 
>>   b) RFC 2734 MCAP (Multicast Channel Allocation Protocol):  currently not
>>      implemented; not sure if needed (I see a few big downsides to using
>>      per-multicast-group channels); not sure if networking core support
>>      would be needed for this
> 
> It is definitely needed because we need to listen on multicast group
> for NDP, which might have already had its own channel.

Sorry, this was unclear and incorrect.  RFC3146 Section 9
(IPv6 Multicast) says that packets for all-nodes/all-routers/
solicited-node multicast addresses must be sent via broadcast
channel.  So, NDP should work without MCAP.

But, even so, I do not want to have broken implementation without
MCAP, or at least, we need prepare to support full multicast.
I do NOT want to have patchy implementation just for NDISC.

With extended MAC, networking core (including IPv4/IPv6) does not
need to be changed very much for supporting MCAP; no new hooks,
no new callbacks.

--yoshfuji